Description

The DataONE 'node' service requests a member node to provide a list of service packages that it supports, for example
https:/knb.ecoinformatics.org/knb/d1/mn/v2/node
will list the implemented packages:

<services>

<service name="MNCore" version="v1" available="true"/>
<service name="MNCore" version="v2" available="true"/>
<service name="MNRead" version="v1" available="true"/>
<service name="MNRead" version="v2" available="true"/>
<service name="MNAuthorization" version="v1" available="true"/>
<service name="MNAuthorization" version="v2" available="true"/>
<service name="MNStorage" version="v1" available="true"/>
<service name="MNStorage" version="v2" available="true"/>
<service name="MNReplication" version="v1" available="true"/>
<service name="MNReplication" version="v2" available="true"/>
</services>

However, it appears that not all service packages are being reported, as KNB supports the 'getPackage’ service that is part of
"MNPackage", which does not appear.
Also, "MNView" and "MNQuery" do not appear.

The full list of course, is here: https://purl.dataone.org/architecture-dev/apis/MN_APIs.html

History

#1 - 06/29/2017 11:37 AM - Jing Tao
- Assignee changed from ben leinfelder to Jing Tao

- Target version set to 2.9.0

It seems we miss "MNQuery" and "MNView" as well.

#2 - 07/05/2017 03:38 PM - Jing Tao

- Status changed from New to Closed

Since MNQuery is optional on Metacat (operators can choose not install metacat-index), we only added the java code to read the MNQuery service.
We added both java code and the property for the MNView service.
The change was made on both trunk (2.9.0) and 2.8 branch.

#3 - 09/06/2017 02:07 PM - Jing Tao
- Target version changed from 2.9.0 to 2.8.5
